io.vertx.ext.web.handler.graphql.ws

## Interface GraphQLWSHandler

- All Superinterfaces:
    Handler<RoutingContext>, ProtocolUpgradeHandler

      public interface GraphQLWSHandler
      extends ProtocolUpgradeHandler

  A handler for the GraphQL over WebSocket Protocol.

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `GraphQLWSHandler` | `beforeExecute(Handler<ExecutionInputBuilderWithContext<Message>> config)` Set a callback to invoke before executing a GraphQL query.
    `GraphQLWSHandler` | `connectionInitHandler(Handler<ConnectionInitEvent> connectionInitHandler)` Customize the connection init `Handler`.
    `static GraphQLWSHandler` | `create(graphql.GraphQL graphQL)` Create a new `GraphQLWSHandler` that will use the provided `graphQL` object to execute requests.
    `static GraphQLWSHandler` | `create(graphql.GraphQL graphQL, GraphQLWSOptions options)` Create a new `GraphQLWSHandler` that will use the provided `graphQL` object to execute requests.
    `GraphQLWSHandler` | `messageHandler(Handler<Message> messageHandler)` Customize the message `Handler`.

    - ### Methods inherited from interface io.vertx.core.Handler

      `handle`

- - ### Method Detail

    - #### create

          static GraphQLWSHandler create(graphql.GraphQL graphQL)

      Create a new `GraphQLWSHandler` that will use the provided `graphQL` object to execute requests.

      The handler will be configured with the default `GraphQLWSOptions`.

    - #### create

          static GraphQLWSHandler create(graphql.GraphQL graphQL,
                                         GraphQLWSOptions options)

      Create a new `GraphQLWSHandler` that will use the provided `graphQL` object to execute requests.

      The handler will be configured with the given `options`.

      Parameters:
        `options` - options for configuring the `GraphQLWSOptions`

    - #### connectionInitHandler

          GraphQLWSHandler connectionInitHandler(Handler<ConnectionInitEvent> connectionInitHandler)

      Customize the connection init `Handler`. This handler will be called when the `MessageType.CONNECTION_INIT` message is received.
      Returns:
        a reference to this, so the API can be used fluently

    - #### beforeExecute

          GraphQLWSHandler beforeExecute(Handler<ExecutionInputBuilderWithContext<Message>> config)

      Set a callback to invoke before executing a GraphQL query.
      Parameters:
        `config` - the callback to invoke
      Returns:
        a reference to this, so the API can be used fluently

    - #### messageHandler

          GraphQLWSHandler messageHandler(Handler<Message> messageHandler)

      Customize the message `Handler`. This handler will be called for each `Message` received.
      Returns:
        a reference to this, so the API can be used fluently

Copyright © 2024 Eclipse. All rights reserved.